Bug 198469 - Follow order of fields for generating Getters & Setters
Follow order of fields for generating Getters & Setters
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Editor
7.0
PC Linux
: P3 (vote)
: 7.2
Assigned To: Dusan Balek
issues@java
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-10 09:45 UTC by Tomas Mysik
Modified: 2012-02-22 11:01 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Mysik 2011-05-10 09:45:18 UTC
It would be nice if the order of Getters & Setters could be the same as for fields. Usually, fields are somehow logically grouped and it would be fine if it the same order could be preserved for their Getters & Setters.

Thanks.
Comment 1 Dusan Balek 2012-02-21 12:50:42 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/9f4bc6651cc2
Comment 2 Quality Engineering 2012-02-22 11:01:43 UTC
Integrated into 'main-golden', will be available in build *201202220400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/9f4bc6651cc2
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #198469: Follow order of fields for generating Getters & Setters - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo